> ## Documentation Index
> Fetch the complete documentation index at: https://integrate.essentry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users



## OpenAPI

````yaml api-reference/openapi.yaml get /users
openapi: 3.0.0
info:
  title: essentry API
  version: 0.0.0
servers:
  - url: https://app.essentry.com/api/v2
    description: essentry Cloud
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Pre-Processor
  - name: User Provisioning
  - name: Permanent Identities
  - name: Access Control
  - name: Post-Processor
paths:
  /users:
    get:
      tags:
        - User Provisioning
      summary: Get Users
      operationId: UserProvisioning_getUsers
      parameters:
        - $ref: '#/components/parameters/Pagination.limit'
        - $ref: '#/components/parameters/Pagination.offset'
        - name: sortField
          in: query
          required: false
          schema:
            type: string
            enum:
              - EMAIL
          explode: false
        - name: sortAscending
          in: query
          required: false
          schema:
            type: boolean
          explode: false
        - name: searchQuery
          in: query
          required: false
          description: Only return users whose name or email match this string
          schema:
            type: string
          explode: false
        - name: updatedSince
          in: query
          required: false
          schema:
            type: string
            format: date-time
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  users:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                  pageInfo:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                    required:
                      - totalCount
                required:
                  - users
                  - pageInfo
components:
  parameters:
    Pagination.limit:
      name: limit
      in: query
      required: false
      description: Pagination - How many results to return
      schema:
        type: integer
        maximum: 50
        default: 20
      explode: false
    Pagination.offset:
      name: offset
      in: query
      required: false
      description: Pagination - How many results to skip
      schema:
        type: integer
        default: 0
      explode: false
  schemas:
    User:
      type: object
      required:
        - id
        - email
        - firstName
        - lastName
        - language
        - createdAt
        - updatedAt
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        language:
          $ref: '#/components/schemas/UserLanguage'
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
    UserLanguage:
      type: string
      enum:
        - DE
        - EN
        - FR
        - NL
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````